Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Run UMD V0.01.01 (UMD Game Loader)

                  
   
  1. #1
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    46
    Posts
    122,883
    Blog Entries
    3209
    Rep Power
    50

    Thumbs up Run UMD V0.01.01 (UMD Game Loader)

    The Saturn Expedition Committee have released a new UMD loader for v1.50 Consoles thats Similiar to the MPH UMD Loader, so far its known that Me & My Katamari Damacy, Monster Hunter Portable, Extreme Samurai Warriors, Princess Crown & Metal Gear Acid 2 all work quite decent.

    Download from Comments and post any compatibility

  2. #2
    DCEmu Newbie
    Join Date
    Oct 2005
    Posts
    14
    Rep Power
    0

    Smile

    Cool More The Merrier Keep It Coming Thanks

  3. #3
    DCEmu Newbie youngjoonshi's Avatar
    Join Date
    Nov 2005
    Location
    [!--South Korea--!] and my lovely home in London^^
    Posts
    27
    Rep Power
    0

    Default

    Socom Save Please!!!!!!!!!!!!!!!!!!!!!!!!!!!!

  4. #4
    DCEmu Pro
    Join Date
    Nov 2005
    Location
    San Diego
    Posts
    697
    Rep Power
    46

    Default

    i played GTA for about eh.. 15 or 20min and it froze while i was off roading for fun (within city limits)

  5. #5

    Default

    Street Fighter Alpha 3 US UMD does NOT load. Black Screen.
    Ultimate Block Party US UMD does NOT load. Black Screen.
    Oh well.
    At least some other games work!

  6. #6
    DCEmu Pro RedKing14CA's Avatar
    Join Date
    Jul 2005
    Location
    California
    Age
    26
    Posts
    736
    Rep Power
    0

    Default

    "Run UMD V0.01.01" why the bloody frikkan hell can't they just call it Run UMD V.1 or Run UMD First version... I mean, WTF!?!?

  7. #7
    DCEmu Regular
    Join Date
    Jul 2005
    Posts
    318
    Rep Power
    46

    Default

    I don't think this works with US 1.5 PSP's, at least not fully. I tried to run the Japanese Katamari Damacy on it, and it wouldn't work. I just got a blank PSP error message that I couldn't leave without hitting the Home button.

  8. #8
    DCEmu Newbie
    Join Date
    Jan 2006
    Posts
    43
    Rep Power
    0

    Default

    too bad for me I updated to 2.60

  9. #9
    DCEmu Rookie
    Join Date
    Jul 2004
    Location
    Posts
    153
    Rep Power
    0

    Default

    I hope this works with the USA version of Katamari. I just pre-ordered it yesterday, and it's the first PSP game I've bought since GTA:LCS, which I've finally gotten around to playing now that I can stay at 1.5.

  10. #10
    DCEmu Pro RedKing14CA's Avatar
    Join Date
    Jul 2005
    Location
    California
    Age
    26
    Posts
    736
    Rep Power
    0

    Default 2.5 UMDs

    the only game i have that requires a firmware upgrade is a Pursuit Force demo..it requires 2.5.. im gonna download this and try to start it with this...

    edit- i tried to run my pursuit force demo, 2.5 firmware... i pressed circle to copy the FLASH1 (i thought it required flash0 also?) it sayed DISKOK, EXTRACTING DONE.

    **PRESS X:

    i press X.. it says starting... then my memstick light lights up... and stays lit, no blinking.. then my whole psp just shuts off....

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •